# $Id$
# Authority: dag

### Ships with fc2+, fc1 has 0.24.5 and is EOL
# ExclusiveDist: el2 rh7 rh8 rh9 el3 fc1

Summary: An HTTP and WebDAV client library
Name: neon
Version: 0.24.7
Release: 2.rf
License: LGPL
Group: Applications/Publishing
URL: http://www.webdav.org/neon/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.webdav.org/neon/neon-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: expat-devel, openssl-devel

%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.

%package devel
Summary: Static libraries and C header files for the neon library.
Group: Development/Libraries

%description devel
The development library for the C language HTTP and WebDAV client library.

%prep
%setup

%build
%configure \
	--enable-shared \
	--with-expat \
	--with-force-ssl \
	--with-ssl
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__ln_s} -f libneon.so.24 %{buildroot}%{_libdir}/libneon.so

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%{_libdir}/libneon.so.*

%files devel
%defattr(-, root, root, 0755)
%doc doc/*
%doc %{_mandir}/man?/*
%{_bindir}/neon-config
%{_includedir}/neon/
%{_libdir}/libneon.a
%{_libdir}/libneon.la
%{_libdir}/libneon.so
%{_libdir}/pkgconfig/neon.pc

%changelog
* Tue Aug 01 2006 Dag Wieers <dag@wieers.com> - 0.24.7-2
- Added %%{_libdir}/libneon.la for subversion 1.3.2.

* Sun Jul 18 2004 Dag Wieers <dag@wieers.com> - 0.24.7-1
- Initial package. (using DAR)
